Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer
Class FileType

    java.lang.Object
      net.sf.colorer.FileType

    public class FileType

extends java.lang.Object

HRC FileType (or prototype) instance

Method Summary
`Scheme` | `getBaseScheme()` Returns the base scheme of this file type.
`java.lang.String` | `getDescription()` Public description of file type (HRC 'description' attribute)
`java.lang.String` | `getGroup()` Public group name of file type (HRC 'group' attribute)
`java.lang.String` | `getName()` Public name of file type (HRC 'name' attribute)
`java.lang.String` | `getParameterDefaultValue(java.lang.String name)` Returns parameter's default value of this file type.
`java.lang.String` | `getParameterDescription(java.lang.String name)` Retrieves parameter's user description string
`java.lang.String[]` | `getParameters()` Returns all available parameters for this file type.
`java.lang.String` | `getParameterValue(java.lang.String name)` Returns parameter's value of this file type.
`void` | `setParameterValue(java.lang.String name, java.lang.String value)` Changes value of the parameter with specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Public name of file type (HRC 'name' attribute)

  Returns:
    File type Name

### getGroup

    public java.lang.String getGroup()

  Public group name of file type (HRC 'group' attribute)

  Returns:
    File type Group

### getDescription

    public java.lang.String getDescription()

  Public description of file type (HRC 'description' attribute)

  Returns:
    File type Description

### getBaseScheme

    public Scheme getBaseScheme()

  Returns the base scheme of this file type. Basically, this is the scheme with same public name, as it's type. @return File type base scheme, to be used as root scheme of text parsing.

### getParameters

    public java.lang.String[] getParameters()

  Returns all available parameters for this file type. Each element in enumeration contains a reference to parameter name.

### getParameterDescription

    public java.lang.String getParameterDescription(java.lang.String name)

  Retrieves parameter's user description string

  Parameters:
    `name` -
  Returns:

### getParameterValue

    public java.lang.String getParameterValue(java.lang.String name)

  Returns parameter's value of this file type. Parameters are stored in prototypes as

            \<parameters>
            \<param name="name" value="value" description="..."/>
            \</parameter>

  Parameters can be used to store application specific information about each type of file. Also parameters are accessible from the HRC definition using `if/unless` attributes of scheme elements. This allows portable customization of HRC loading.

  Parameters:
    `name` - Parameter's name
  Returns:
    Value (changed or default) of this parameter

### getParameterDefaultValue

    public java.lang.String getParameterDefaultValue(java.lang.String name)

  Returns parameter's default value of this file type. Default values are the values, explicitly pointed with \c value attribute.

  Parameters:
    `name` - Parameter's name
  Returns:
    Default value of this parameter

### setParameterValue

    public void setParameterValue(java.lang.String name,
                                  java.lang.String value)

  Changes value of the parameter with specified name. Note, that changed parameter values are not stored in HRC base - they remains active only during this HRC session. Application should use its own mechanism to save these values between sessions (if needed).

  Parameters:
    `name` - Parameter's name
    `value` - New value of this parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.